if(!!(window.addEventListener)) window.addEventListener('DOMContentLoaded', main);
else window.attachEvent('onload', main);

function main() {
    lineChart("lineChart", "lineLegend");
    lineChart("lineChart2", "lineLegend2");
    lineChart("lineChart3", "lineLegend3");
    lineChart("lineChart4", "lineLegend4");

}

var randomScalingFactor = function(){ return Math.round(Math.random()*100)};

function lineChart(chart_name, legend_name) {
    var data = {
        labels : ["Start","","","","","","End"],
        datasets : [
            {
            fillColor : "rgba(220,220,220,0.5)",
            strokeColor : "rgba(220,220,220,1)",
            pointColor : "rgba(220,220,220,1)",
            pointStrokeColor : "#fff",
		data : [randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor()],
            label : 'CPU-Usage'
        },
        {
            fillColor : "rgba(151,187,205,0.5)",
            strokeColor : "rgba(151,187,205,1)",
            pointColor : "rgba(151,187,205,1)",
            pointStrokeColor : "#fff",
					data : [randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor()],
            label : 'Available Memory'
        },
	{
            fillColor : "rgba(100,187,205,0.5)",
            strokeColor : "rgba(100,187,205,1)",
            pointColor : "rgba(100,187,205,1)",
            pointStrokeColor : "#fff",
					data : [randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor(),randomScalingFactor()],
            label : 'Wait-IO'
        }
        ]
    };

    var ctx = document.getElementById(chart_name).getContext("2d");
    new Chart(ctx).Line(data, {
			responsive: true
		});

    legend(document.getElementById(legend_name), data);

    // testing adding twice (should get same result)
    //legend(document.getElementById("lineLegend"), data);
}

